/* -----------------------------------------------------------
   COMMON HTML STYLES: Grouped by elements in alphabetical order
   ----------------------------------------------------------- */
/*list of colors 

#f36; red (border menus)
#6cf; blue (not used)
#ffc; cream (light, for mouseover)
#9c3; green (environment, titles)
#fc0; orange (header, footer)
#ff3; yellow (links contrasted)
#ccc; grey 
#fc9; background portada purple.
*/

* html table, input, textarea, select{/* IE hack*/
font-size: 100%;
}

body {
font-family: Verdana, Arial, sans-serif, "Arial Unicode MS";
margin: 0 auto;
padding: 0 2em;
font-size: 81.25%;
background: white;
color:black;
cursor: default;
position:relative;
max-width: 70em;
}

address, blockquote, caption, center, dd, dir, div, dl, dt, form, h1, h2, h3, h4, h5, h6, menu, ol, p, td, th, ul,li,* {
font-size: 1em;
line-height: 1;/* scale factor: line-height(em) = scale* font-size*/
margin: 0em; /* set margins on each individula markup put bottom to 0 and control top*/
padding : 0em;/* the same for padding */
}

/* the a classes should be in this order*/
a {
cursor: pointer;
text-decoration: none;
background: transparent;
color:blue;
}

a:link {
color: blue;
}

a:visited {color: blue;
}

a:hover, a:focus {text-decoration: underline;}

a:active {color: blue;
}

a img, a img:hover {
border: 0px none; /* no border for clickable images */
text-decoration: none;
}

address {
text-align:center;
margin: auto;
font-weight: bold;
font-style: normal;
}

blockquote {
margin: 1em 5em 5em 0em;
font-style: italic;
}

button {
cursor: auto;
}

caption {
caption-side: bottom; /* could be top*/
margin: 0em 0% 0em 0%;/*different interpretations Mozilla and IE*/
line-height: 1.5em;
font-size: 0.85em;
/*background-color:#99CC33;*/
font-weight:bold;}

code {font-size: 1em;
font-family: monospace} /* to avoid overriding boldness/italicity by using font */

dd {margin: 0.35em 0em 0em 2em;;
}

dl {margin: 0.5em 0% 0em 0%}

dt {
margin: 0.35em 0% 0em 0%;
font-weight: bold;
}

em {
font-style: italic;
}

input {
cursor: auto;
font-size: 1em;
font-family:  inherit;}

textarea {
font-size: 1em;
font-family:  Verdana, Arial, sans-serif, "Arial Unicode MS";/* does not accept inherit?*/
}

form#generic label{
float: left;
width: 10em;
text-align: right;
font-weight: bold;
margin-right: 2em;
cursor: pointer;
}

form#generic p{
clear: both;
}

form#generic input, form#generic textarea{
text-align: left;
width:20em;
background-color: #ffc;
}

h1 {
clear:both;
margin:0.5em 0% 0em 0%; /*careful: margin=0.5*font-size(1.3)*/
font-size: 1.3em;
font-weight: bold;
font-variant: small-caps;
text-transform: capitalize;
color: #9c3; ;
padding-bottom: 0.2em;
/*background-color:#9c3;environment*/
}

h2 {
clear:both;
margin: 1.5em 0% 0em 0%;/* bug Mozilla: does not understand margin with float */
font-size: 1.1em;
line-height:100%;
font-variant: small-caps;
font-weight: bold;
padding-bottom: 0.3em;
border-bottom: 2px solid #9c3;
}


h3 {
margin: 0.5em 0% 0em 0%;
font-size: 1em;
font-weight: bold;
clear:left;
border-left: 5px solid #9c3;
padding-left: 10px; 
}

h4 {
margin: 0.5em 0% 0em 0%;
font-size: 1em;
font-weight: bold;
}

h5 {/* for titles of frames */
font-weight: bold;
text-align:center;
background-color: #9c3;
}

hr {
margin: 1em 0% 1em 0%;
color: #9c3;}

kbd {font: 1em monospace}

p {
margin: 0.75em 0% 0em 0%;
text-align: justify;
line-height: 1.1;
}

pre {
margin: 0em 0% 0em 0%;
font: 1em/1 monospace; /* font-size + line-height */
}

samp {
font: 1em monospace;
}

small {
font-size: 0.9em;
}

strong {
font-weight: bold;
}

sub {
font-size: 0.8em;
}

sup {
font-size: 0.8em;
}

table{
width:100%;
clear: both;
margin: 1em 0 0 0;
border-collapse: collapse;
border: 1px solid black;
}

th {
font-weight: bold ;
border: 1px solid black; /* border on table is uneffective*/
text-align:center; 
}

td {
padding:0.2em;
}

tt {font: 1em monospace}

ol {
margin: 1em 0% 0em 5%;
list-style: decimal;
list-style-position: inside;
}

ul {
margin:1em 0em 0em 2em;
list-style: square;
list-style-position: outside;
}

li {
margin: 0.5em 0em 0em 0em;
}

ol ul ol, ol ol {list-style: lower-alpha}

ol ol ol {list-style: lower-roman}

ul ul, ol ul ul, ul ol ul {list-style: circle}

ul ul ul {list-style: square}

.quote{
font-style: italic;
text-align: justify;
margin: 1em 5em;
}
.command{
font-weight: bold;
margin:0.5em 0px;
}